# If package is named differently to "deployment", it should provide
# "deployment" name to not brake "sweets" olpc-os-builder module
Name: deployment-testing
Version: 0.3
Release: 21.1
Group: Development/System
Summary: Meta package for Hexoquinasa XO deployment distribution
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Harmonic_Distribution/XO_reference_distribution

Source: %{name}-%{version}.tar.gz

Requires: sweets-desktop sweets-locales sweets PackageKit-presolve
Provides: deployment
BuildArch: noarch

%description
Meta package for Hexoquinasa XO deployment distribution (testing branch).

%prep
%setup -q

%build

%install
install -m 0755 -d %{buildroot}/%{_sysconfdir}
cp -r etc/* %{buildroot}/%{_sysconfdir}/
#mv %{buildroot}/%{_sysconfdir}/PackageKit/PackageKit.conf{,.sweets}
install -m 0755 -d %{buildroot}/%{_datadir}/%{name}
cat post.d/*sh > %{buildroot}/%{_datadir}/%{name}/post.sh
chmod a+rx %{buildroot}/%{_datadir}/%{name}/post.sh
install -m 0755 -d %{buildroot}/%{_datadir}/doc/%{name}
cp AUTHORS COPYING README %{buildroot}/%{_datadir}/doc/%{name}/

%post
%{_datadir}/%{name}/post.sh
#cp %{_sysconfdir}/PackageKit/PackageKit.conf{.sweets,}

%files
%defattr(-,root,root,-)
%{_sysconfdir}/modprobe.d/libertas.conf
%{_sysconfdir}/polkit-1/localauthority/50-local.d/deployment.pkla
%{_sysconfdir}/sweets.d/etc/PackageKit/PackageKit.conf
#%{_sysconfdir}/PackageKit/PackageKit.conf.sweets
%{_sysconfdir}/sugar/blacklist/deployment
%{_sysconfdir}/X11/xorg.conf.d/zapnot.conf
%{_sysconfdir}/yum.repos.d/Hexoquinasa:1.repo
#%{_sysconfdir}/yum.repos.d/SweetsDistribution.repo
%{_sysconfdir}/sweets.conf
%{_sysconfdir}/locale.gen
%{_datadir}/%{name}
%{_datadir}/doc/%{name}

%changelog
